Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs	(revision 484)
@@ -34,17 +34,17 @@
         public enum TableColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 日報作成日
             /// </summary>
             DailyDataDate,
             /// <summary>
-            /// 工事番号
+            /// 作成者コード
             /// </summary>
-            ConstructionCode,
+            PersonCode,
             /// <summary>
             /// 明細行番号
             /// </summary>
@@ -86,20 +86,30 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            strcmd.Append("SELECT ");
 
-            strcmd.Append("  PersonCode");                                      // 担当者コード
-            strcmd.Append(", DATE_FORMAT(DailyDataDate, '%Y/%m/%d')");          // 日報作成日
-            strcmd.Append(", ConstructionCode");                                // 工事番号
-            strcmd.Append(", SeqNo");                                           // 明細行番号
+            bool bColFirst = true;
+            string strWork = string.Empty;
+            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+            {
+                strWork = gender.ToString();
+                if (!bColFirst) strcmd.Append(",");
+                if (strWork.Equals("PatrolTime") || strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                }
+                else if (strWork.Equals("DailyDataDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                }
+                else
+                {
+                    strcmd.AppendFormat(" {0}", strWork);
+                }
+                bColFirst = false;
+            }
 
-            strcmd.Append(", DATE_FORMAT(PatrolTime, '%Y/%m/%d %H:%i:%s')");    // 巡回時間
-            strcmd.Append(", ContentsText");                                    // 内容
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");     // 登録年月日
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");    // 更新年月日
             strcmd.Append(" FROM DailyDataField");
 
             return strcmd.ToString();
@@ -196,15 +206,15 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
+                strcmd.AppendFormat(", {0}", work.PersonCode);                      // 担当者コード
                 strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                             , work.PatrolTime.ToString());              // 巡回時間
-                strcmd.AppendFormat(",'{0}'", work.ContentsText);                   // 内容
+                strcmd.AppendFormat(",{0}", SeparateString(work.ContentsText));         // 内容
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -245,15 +255,15 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                    strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
+                    strcmd.AppendFormat(", {0}", work.PersonCode);                      // 担当者コード
                     strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                                 , work.PatrolTime.ToString());              // 巡回時間
-                    strcmd.AppendFormat(",'{0}'", work.ContentsText);                   // 内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ContentsText));        // 内容
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -291,15 +301,15 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd.AppendFormat(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
-                strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode);                  // 担当者コード
                 strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
 
                 strcmd.AppendFormat(",PatrolTime = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                         , data.PatrolTime.ToShortDateString());                 // 巡回時間
-                strcmd.AppendFormat(",ContentsText = '{0}'", data.ContentsText);            // 内容
+                strcmd.AppendFormat(",ContentsText = {0}", SeparateString(data.ContentsText));  // 内容
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -354,9 +364,9 @@
             try
             {
                 // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
                 wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
                 wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // 明細行番号
 
                 wrk.PatrolTime =  DateTime.Parse(objwrk[(int)TableColumn.PatrolTime].ToString());            // 巡回時間
@@ -380,21 +390,18 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="PersonCode"></param>
-        /// <param name="ActionDate"></param>
-        /// <param name="DataType"></param>
-        /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDetailDate, int ConstructionCode, int SeqNo)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime DailyDataDetailDate, int PersonCode = 0, int SeqNo = 0)
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork.AppendFormat(" WHERE PersonCode = {0}", PersonCode);
+                strWork.Append(" WHERE");
+                    strWork.AppendFormat(" ConstructionCode = {0}", ConstructionCode);
                 if (DailyDataDetailDate != DateTime.MinValue)
                     strWork.AppendFormat(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
-                if (ConstructionCode != 0)
-                    strWork.AppendFormat(" AND ConstructionCode = {0}", ConstructionCode);
+                if (PersonCode != 0)
+                    strWork.AppendFormat(" And PersonCode = {0}", PersonCode);
                 if (SeqNo != 0)
                     strWork.AppendFormat(" AND SeqNo = {0}", SeqNo);
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs	(revision 484)
@@ -34,17 +34,17 @@
         public enum TableColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 日報作成日
             /// </summary>
             DailyDataDate,
             /// <summary>
-            /// 工事番号
+            /// 作成者コード
             /// </summary>
-            ConstructionCode,
+            PersonCode,
             /// <summary>
             /// 明細行番号
             /// </summary>
@@ -98,23 +98,30 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            strcmd.Append("SELECT ");
 
-            strcmd.Append("  PersonCode");                                      // 担当者コード
-            strcmd.Append(", DATE_FORMAT(DailyDataDate, '%Y/%m/%d')");          // 日報作成日
-            strcmd.Append(", ConstructionCode");                                // 工事番号
-            strcmd.Append(", SeqNo");                                           // 明細行番号
+            bool bColFirst = true;
+            string strWork = string.Empty;
+            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+            {
+                strWork = gender.ToString();
+                if (!bColFirst) strcmd.Append(",");
+                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                }
+                else if (strWork.Equals("DailyDataDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                }
+                else
+                {
+                    strcmd.AppendFormat(" {0}", strWork);
+                }
+                bColFirst = false;
+            }
 
-            strcmd.Append(", Materials");                                       // 資材名
-            strcmd.Append(", Quantity");                                        // 数量
-            strcmd.Append(", Production");                                      // 制作会社
-            strcmd.Append(", Delivery");                                        // 納入業者
-            strcmd.Append(", QualityControl");                                  // 品質管理事項
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");     // 登録年月日
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");    // 更新年月日
             strcmd.Append(" FROM DailyDataMaterials");
 
             return strcmd.ToString();
@@ -210,16 +217,16 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
+                strcmd.AppendFormat(", {0}", work.PersonCode);                      // 担当者コード
                 strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
-                strcmd.AppendFormat(",'{0}'", work.Materials);                      // 資材名
-                strcmd.AppendFormat(",'{0}'", work.Quantity);                       // 数量
-                strcmd.AppendFormat(",'{0}'", work.Production);                     // 制作会社
-                strcmd.AppendFormat(",'{0}'", work.Delivery);                       // 納入業者
-                strcmd.AppendFormat(",'{0}'", work.QualityControl);                 // 品質管理事項
+                strcmd.AppendFormat(", {0}", SeparateString(work.Materials));       // 資材名
+                strcmd.AppendFormat(", {0}", SeparateString(work.Quantity));        // 数量
+                strcmd.AppendFormat(", {0}", SeparateString(work.Production));      // 制作会社
+                strcmd.AppendFormat(", {0}", SeparateString(work.Delivery));        // 納入業者
+                strcmd.AppendFormat(", {0}", SeparateString(work.QualityControl));  // 品質管理事項
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -260,16 +267,16 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                    strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
+                    strcmd.AppendFormat(", {0}", work.PersonCode);                      // 担当者コード
                     strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
-                    strcmd.AppendFormat(",'{0}'", work.Materials);                      // 資材名
-                    strcmd.AppendFormat(",'{0}'", work.Quantity);                       // 数量
-                    strcmd.AppendFormat(",'{0}'", work.Production);                     // 制作会社
-                    strcmd.AppendFormat(",'{0}'", work.Delivery);                       // 納入業者
-                    strcmd.AppendFormat(",'{0}'", work.QualityControl);                 // 品質管理事項
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Materials));       // 資材名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Quantity));        // 数量
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Production));      // 制作会社
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Delivery));        // 納入業者
+                    strcmd.AppendFormat(", {0}", SeparateString(work.QualityControl));  // 品質管理事項
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -307,17 +314,17 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);              // 工事番号
                 strcmd.AppendFormat(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
-                                        , data.DailyDataDate.ToShortDateString());              // 日報作成日
-                strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
+                                        , data.DailyDataDate.ToShortDateString());                  // 日報作成日
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode);                          // 担当者コード
+                strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                                  // 明細行番号
 
-                strcmd.AppendFormat(",Materials = '{0}'", data.Materials);                  // 資材名
-                strcmd.AppendFormat(",Quantity = '{0}'", data.Quantity);                    // 数量
-                strcmd.AppendFormat(",Production = '{0}'", data.Production);                // 制作会社
-                strcmd.AppendFormat(",Delivery = '{0}'", data.Delivery);                    // 納入業者
-                strcmd.AppendFormat(",QualityControl = '{0}'", data.QualityControl);        // 品質管理事項
+                strcmd.AppendFormat(",Materials = {0}", SeparateString(data.Materials));            // 資材名
+                strcmd.AppendFormat(",Quantity = {0}", SeparateString(data.Quantity));              // 数量
+                strcmd.AppendFormat(",Production = {0}", SeparateString(data.Production));          // 制作会社
+                strcmd.AppendFormat(",Delivery = {0}", SeparateString(data.Delivery));              // 納入業者
+                strcmd.AppendFormat(",QualityControl = {0}", SeparateString(data.QualityControl));  // 品質管理事項
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -372,9 +379,9 @@
             try
             {
                 // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());        // 工事番号
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());         // 日報作成日
                 wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                    // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());         // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());        // 工事番号
                 wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                              // 明細行番号
                 
                 wrk.Materials = objwrk[(int)TableColumn.Materials].ToString();                                 // 	資材名
@@ -401,21 +408,18 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="PersonCode"></param>
-        /// <param name="ActionDate"></param>
-        /// <param name="DataType"></param>
-        /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDetailDate, int ConstructionCode, int SeqNo)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime DailyDataDetailDate, int PersonCode = 0, int SeqNo = 0)
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork.AppendFormat(" WHERE PersonCode = {0}", PersonCode);
+                strWork.Append(" WHERE");
+                strWork.AppendFormat(" ConstructionCode = {0}", ConstructionCode);
                 if (DailyDataDetailDate != DateTime.MinValue)
                     strWork.AppendFormat(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
-                if (ConstructionCode != 0)
-                    strWork.AppendFormat(" AND ConstructionCode = {0}", ConstructionCode);
+                if (PersonCode != 0)
+                    strWork.AppendFormat(" And PersonCode = {0}", PersonCode);
                 if (SeqNo != 0)
                     strWork.AppendFormat(" AND SeqNo = {0}", SeqNo);
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs	(revision 484)
@@ -34,17 +34,17 @@
         public enum TableColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 日報作成日
             /// </summary>
             DailyDataDate,
             /// <summary>
-            /// 工事番号
+            /// 作成者コード
             /// </summary>
-            ConstructionCode,
+            PersonCode,
             /// <summary>
             /// 明細行番号
             /// </summary>
@@ -86,20 +86,30 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            strcmd.Append("SELECT ");
 
-            strcmd.Append("  PersonCode");                                      // 担当者コード
-            strcmd.Append(", DATE_FORMAT(DailyDataDate, '%Y/%m/%d')");          // 日報作成日
-            strcmd.Append(", ConstructionCode");                                // 工事番号
-            strcmd.Append(", SeqNo");                                           // 明細行番号
+            bool bColFirst = true;
+            string strWork = string.Empty;
+            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+            {
+                strWork = gender.ToString();
+                if (!bColFirst) strcmd.Append(",");
+                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                }
+                else if (strWork.Equals("DailyDataDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                }
+                else
+                {
+                    strcmd.AppendFormat(" {0}", strWork);
+                }
+                bColFirst = false;
+            }
 
-            strcmd.Append(", Attendee");                                        // 出席者
-            strcmd.Append(", ContentsText");                                    // 内容
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");     // 登録年月日
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");    // 更新年月日
             strcmd.Append(" FROM DailyDataSubcontractors");
 
             return strcmd.ToString();
@@ -195,14 +205,14 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat("  {0}", work.ConstructionCode);                    // 工事番号
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
-                strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
+                strcmd.AppendFormat(", {0}", work.PersonCode);                          // 担当者コード
+                strcmd.AppendFormat(", {0}", work.SeqNo);                               // 明細行番号
                 
-                strcmd.AppendFormat(",'{0}'", work.Attendee);                       // 出席者
-                strcmd.AppendFormat(",'{0}'", work.ContentsText);                       // 内容
+                strcmd.AppendFormat(", {0}", SeparateString(work.Attendee));            // 出席者
+                strcmd.AppendFormat(", {0}", SeparateString(work.ContentsText));        // 内容
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -243,14 +253,14 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);                    // 工事番号
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                    strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
-                    strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
+                    strcmd.AppendFormat(", {0}", work.PersonCode);                          // 担当者コード
+                    strcmd.AppendFormat(", {0}", work.SeqNo);                               // 明細行番号
 
-                    strcmd.AppendFormat(",'{0}'", work.Attendee);                       // 出席者
-                    strcmd.AppendFormat(",'{0}'", work.ContentsText);                       // 内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Attendee));            // 出席者
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ContentsText));        // 内容
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -288,14 +298,14 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);          // 工事番号
                 strcmd.AppendFormat(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
-                strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                              // 明細行番号
 
-                strcmd.AppendFormat(",Attendee = '{0}'", data.Attendee);                    // 出席者
-                strcmd.AppendFormat(",ContentsText = '{0}'", data.ContentsText);                    // 内容
+                strcmd.AppendFormat(",Attendee = {0}", SeparateString(data.Attendee));          // 出席者
+                strcmd.AppendFormat(",ContentsText = {0}", SeparateString(data.ContentsText));  // 内容
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -350,9 +360,9 @@
             try
             {
                 // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
                 wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
                 wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // 明細行番号
 
                 wrk.Attendee = objwrk[(int)TableColumn.Attendee].ToString();                                 //出席者
@@ -376,21 +386,18 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="PersonCode"></param>
-        /// <param name="ActionDate"></param>
-        /// <param name="DataType"></param>
-        /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDetailDate, int ConstructionCode, int SeqNo)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime DailyDataDetailDate, int PersonCode = 0, int SeqNo = 0)
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork.AppendFormat(" WHERE PersonCode = {0}", PersonCode);
+                strWork.Append(" WHERE");
+                strWork.AppendFormat(" ConstructionCode = {0}", ConstructionCode);
                 if (DailyDataDetailDate != DateTime.MinValue)
                     strWork.AppendFormat(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
-                if (ConstructionCode != 0)
-                    strWork.AppendFormat(" AND ConstructionCode = {0}", ConstructionCode);
+                if (PersonCode != 0)
+                    strWork.AppendFormat(" And PersonCode = {0}", PersonCode);
                 if (SeqNo != 0)
                     strWork.AppendFormat(" AND SeqNo = {0}", SeqNo);
 
